Bug 11907 - smbd core dumps are always truncated to 16M
smbd core dumps are always truncated to 16M
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.4.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-06 13:37 UTC by Guenther Deschner
Modified: 2016-06-01 07:34 UTC (History)
5 users (show)

See Also:


Attachments
patch from master (1.36 KB, patch)
2016-05-06 15:40 UTC, Guenther Deschner
obnox: review-
Details
patch from master (with -x) (1.38 KB, patch)
2016-05-07 03:31 UTC, José A. Rivera
no flags Details
second patch from master (with -x) (1.92 KB, patch)
2016-05-07 03:32 UTC, José A. Rivera
no flags Details
third patch from master (with -x) (1.66 KB, patch)
2016-05-20 12:59 UTC, Anoop C S
gd: review+
jarrpa: review+
Details
fourth patch from master (with -x) (2.24 KB, patch)
2016-05-20 13:01 UTC, Anoop C S
gd: review+
jarrpa: review+
Details
fifth patch from master (with -x) (1.76 KB, patch)
2016-05-20 13:01 UTC, Anoop C S
gd: review+
jarrpa: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2016-05-06 13:37:16 UTC
We find that smbd cores are always truncated to 16M. It is already fixed in Samba master and we should get it in next downstream release.

Tracked at redhat bugzilla here:

https://bugzilla.redhat.com/show_bug.cgi?id=1315254
Comment 1 Guenther Deschner 2016-05-06 15:40:32 UTC
Created attachment 12083 [details]
patch from master
Comment 2 Michael Adam 2016-05-06 16:58:57 UTC
Comment on attachment 12083 [details]
patch from master

cosmetic NACK:

please use "git cherry-pick -x" (I have an alias "git cpx" for that) in order to include cherry-picked from ... info in the backport patch.

Otherwise, I do of course agree with the patch.
Comment 3 Michael Adam 2016-05-06 16:59:39 UTC
And note that there is one more patch that will belong to this bug, currently in autobuild. I propose to create a combined patchset once that has landed.
Comment 4 José A. Rivera 2016-05-07 03:31:32 UTC
Created attachment 12084 [details]
patch from master (with -x)
Comment 5 José A. Rivera 2016-05-07 03:32:10 UTC
Created attachment 12085 [details]
second patch from master (with -x)
Comment 6 José A. Rivera 2016-05-07 03:38:03 UTC
Both patches apply cleanly to 4.4 and 4.3.

I believe now I turn things over to Karo for inclusion in the relevant branches. :)
Comment 7 Karolin Seeger 2016-05-09 08:36:23 UTC
(In reply to José A. Rivera from comment #6)
Pushed to autobuild-v4-[4|3]-test.
Comment 8 José A. Rivera 2016-05-09 14:35:22 UTC
We encountered a slight regression we forgot to account for. Will be pushing another patch to master shortly, so please keep this bug open. :)
Comment 9 Karolin Seeger 2016-05-11 11:41:36 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to both branches.
Comment 10 Anoop C S 2016-05-20 12:59:57 UTC
Created attachment 12121 [details]
third patch from master (with -x)
Comment 11 Anoop C S 2016-05-20 13:01:22 UTC
Created attachment 12122 [details]
fourth patch from master (with -x)
Comment 12 Anoop C S 2016-05-20 13:01:55 UTC
Created attachment 12123 [details]
fifth patch from master (with -x)
Comment 13 José A. Rivera 2016-05-20 13:06:21 UTC
The last few patches are now in! And they apply cleanly to 4.4 and 4.3. Karo, have at? :)
Comment 14 Michael Adam 2016-05-20 13:11:09 UTC
assigning to anoop while collecting reviews
Comment 15 Michael Adam 2016-05-20 13:13:53 UTC
Anoop: once all three patches  have sufficient review+ flags (we need two from samba team), please assign to Karolin (kseeger@samba.org) for merging in to 4.4. You could also ask more/other people for review of course.
Comment 16 Guenther Deschner 2016-05-20 13:30:48 UTC
Comment on attachment 12121 [details]
third patch from master (with -x)

LGTM
Comment 17 Guenther Deschner 2016-05-20 13:31:00 UTC
Comment on attachment 12122 [details]
fourth patch from master (with -x)

LGTM
Comment 18 Guenther Deschner 2016-05-20 13:31:29 UTC
Comment on attachment 12123 [details]
fifth patch from master (with -x)

LGTM
Comment 19 Michael Adam 2016-05-26 09:14:03 UTC
Karo, please pick for 4.4.NEXT

Thanks!
Comment 20 Anoop C S 2016-05-26 09:44:11 UTC
Karo,

Please pick the remaining patches for 4.3.NEXT too.
Comment 21 Karolin Seeger 2016-05-30 09:19:32 UTC
(In reply to Anoop C S from comment #20)
Pushed third, fourth and fifth patch to autobuild-v4-[4|3]-test.
Comment 22 Anoop C S 2016-05-30 09:28:19 UTC
(In reply to Karolin Seeger from comment #21)
Thank you, Karolin.
Comment 23 Karolin Seeger 2016-06-01 07:34:26 UTC
(In reply to Karolin Seeger from comment #21)
Pushed to both branches.
Closing out bug report.

Thanks!